Bug 887926 - [RFE] Add command to update cluster configuration using a standard editor (e. g. pcs config edit)
Summary: [RFE] Add command to update cluster configuration using a standard editor (e....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pcs
Version: 6.4
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: 6.5
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-17 15:58 UTC by Frank Danapfel
Modified: 2013-11-21 11:49 UTC (History)
5 users (show)

Fixed In Version: pcs-0.9.74-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Add ability of pcs to edit cluster configuration with a standard editor Reason: This will save several steps, including the user saving the cib, editing it and then pushing it back to the cluster. Result (if any): Users can edit and update the cluster configuration in one step ('pcs cluster edit')
Clone Of:
Environment:
Last Closed: 2013-11-21 11:49:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1633 normal SHIPPED_LIVE pcs bug fix and enhancement update 2013-11-20 21:53:48 UTC

Description Frank Danapfel 2012-12-17 15:58:32 UTC
It would be helpful if pcs had the option to edit and update the cluster configuration in one go, for example something like "pcs config edit"

This should open the current cluster configuration in text format in the users text editor (defined via the $EDITOR env. var.) and after the user saves the changed version pcs should check the updated config for any errors and if it is correct it should automatically be pushed out to all cluster nodes.

Comment 4 Chris Feist 2013-08-13 21:26:10 UTC
[root@ask-02 ~]# EDITOR=vim pcs -f temp.xml cluster edit

Pops open vim with the cib from temp.xml (or creates a new one if temp.xml doesn't exist).

Comment 8 errata-xmlrpc 2013-11-21 11:49:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1633.html


Note You need to log in before you can comment on or make changes to this bug.